[package]
name = "dsa_editor"
version = "0.1.0"
edition = "2024"
description = "a fork of a code editor egui widget adapted to work with DSA syntax."

[dependencies]
egui = { version = "0.31", optional = true }
serde = { version = "1", optional = true }

[lib]
name = "dsa_editor"
path = "src/lib.rs"

[features]
default = ["egui", "editor"]
egui = ["dep:egui"]
editor = []
serde = ["dep:serde"]

[dev-dependencies]
eframe = "0.31"
colorful = "0.3"
